# Authentication

### Base Endpoint

Inspector APIs are hosted on the following base URI:

```
https://app.inspector.dev/api
```

### Include the key

In order to use the API you should authenticate your request by including your API key as a bearer token value in the request's headers:

```
Authorization: Bearer API_KEY_HERE
```

{% hint style="info" %}
If you don't have an API key, you can create a new one in just a few clicks: <https://app.inspector.dev/account/api>
{% endhint %}

### Recommended Headers

Make sure you have the following content type headers set on every request:

```
Accept: application/json 
Content-Type: application/json
```

### Error codes

Inspector uses conventional HTTP response codes to indicate the success or failure of an API request. The table below contains a summary of the typical response codes:

| Code    | Description                                                            |
| ------- | ---------------------------------------------------------------------- |
| **200** | Everything is ok.                                                      |
| **401** | No valid API Key was given.                                            |
| **404** | The request resource could not be found.                               |
| **422** | The payload has missing required parameters or invalid data was given. |
| **429** | Too many attempts.                                                     |
| **500** | Request failed due to an internal error in Inspector.                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.inspector.dev/rest-api/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
